## swi-prolog 6.2.6

=== packages/xpce/src/adt/Makefile ===
# ADT 		--- Abstract Data Types

ADTOBJS=	area.o atable.o attribute.o bool.o chain.o chaintable.o \
		constant.o date.o dict.o dictitem.o hashtable.o number.o \
		point.o real.o region.o sheet.o size.o tuple.o vector.o
ADTSRC=		$(ADTOBJS:.o=.c)

objects:	$(ADTOBJS)

addlib:		$(ADTOBJS)
		$(AR) $(ARFLAGS) $(LIB) $(ADTOBJS)
		@touch addlib

proto.h:	$(ADTSRC)
		$(MKPROTO) $(ADTSRC:.o=.c) | $(CLPROTO) > proto.h

clean:
		$(RM) -f *~ core a.out $(ADTOBJS) addlib

=== debian/changelog ===
swi-prolog (6.2.6-6) unstable; urgency=low

  * Don't build-conflict on libunwind7-dev on ia64. Hopefully that will
    allow this package to build?... 

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 18 Jun 2013 02:32:21 +0200

swi-prolog (6.2.6-5) unstable; urgency=high

  * Build-conflict on libunwind[78]-dev until libunwind8 is build on all
    architectures
  * Urgency high in order to allow this and dependent packages migrate to
    testing (6.2.6-4 is 20 days old)
  * Use the cannonical URI in Vcs-Git control field (closes: #697420)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 17 Jun 2013 23:53:55 +0200

swi-prolog (6.2.6-4) unstable; urgency=low

  * Install TIPC package into swi-prolog-nox on Linux
  * Run autoconf in packages/tipc
  * Fix spelling error in dh_swi_prolog's manpage (thanks, lintian)

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 29 May 2013 00:36:56 +0200

swi-prolog (6.2.6-3) unstable; urgency=low

  * Move the static library to /usr/lib (closes: #709606)
  * Disable 'http' tests — they require network connection
  * New patch:
    - override-PLLIBDIR.diff - set PLLIBDIR to 'swi-prolog', this should take
      care of setting PLBASE to correct value. This simplifies other patches
      and debian/rules
  * Relax shlibs dependency for libswipl.so.
  * Break logol (<< 1.6.1-2~) (closes: #709605)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 26 May 2013 18:02:35 +0200

swi-prolog (6.2.6-2) unstable; urgency=low

  * Upload to unstable
  * Add dh_swi_prolog and swi_prolog sequence for dh. Those two
    allow packages that contain compiled swi-prolog programs to use
    swi-prolog:Depends environment variable to depend on prolog
    version that can execute those programs. swi-prolog-nox
    now provides swi-prolog-vm-* virtual package. For now the virtual
    package name is updated manually (Closes: #631005).
  * Make swi-prolog-nox recommend debhelper (for dh_swi_prolog).

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 22 May 2013 22:44:23 +0200

swi-prolog (6.2.6-1) experimental; urgency=low

  * New upstream release 

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 10 May 2013 22:36:57 +0200

swi-prolog (6.2.5-6) experimental; urgency=low

  * Fix Vcs-* fields in debian/control (closes: #697420, thanks to Salvatore
    Bonaccorso)
  * Remove pthread-flag-detection.diff - it causes segfaults on Hurd,
    probably because of missing -D_REENTRANT
  * New patch:
    - add-pthread.diff - add -pthread compiler/linker flag when adding
      -D_REENTRANT. This is another attempt to fix FTBFS on Hurd.

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 10 May 2013 22:36:37 +0200

swi-prolog (6.2.5-5) experimental; urgency=low

  * New patch:
    - pthread-flag-detection.diff - do not check for -D_REENTRANT when
      checking for -pthread flag support. This does not work on Hurd.
      See also #697133. 
  * Remove patches not in debian/patches/series:
    - 04_fix_hyphens_being_used_as_minus_signs_in_manpages.diff
    - segstack-alignment.diff
    - swi-prolog-mipsel-FTBFS.diff

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 04 Jan 2013 19:25:41 +0100

swi-prolog (6.2.5-4) experimental; urgency=low

  * Build swi-prolog-java additionally on armhf and s390x - they also have
    OpenJDK as default-jdk

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 17:27:51 +0100

swi-prolog (6.2.5-3) experimental; urgency=low

  * Build-depend on junit on platforms that have -java package,
    this should fix testsuite failures

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 04:36:49 +0100

swi-prolog (6.2.5-2) experimental; urgency=low

  * Link libjpl.so from the JNI directory, so Java runtime can find it
    without need to modify LD_LIBRARY_PATH
  * Enable checks for jpl package 
  * New patch:
    - java-test-library-path.diff - set LD_LIBRARY_PATH during jpl check
  * Add README.Debian to swi-prolog-java package that describes
    current problems when using Java with SWI Prolog (see also #690734)

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 02:30:17 +0100

swi-prolog (6.2.5-1) experimental; urgency=low

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 30 Dec 2012 17:32:47 +0100

swi-prolog (6.2.3-1) experimental; urgency=low

  * New upstream release
  * Remove patches (applied upstream):
    - upstream-6.2.3-pre.diff
    - distclean-fixes.diff 
    - implicit-declarations.diff
    - VEOL2-check.diff
  * Updated patches:
    - default-stack-size.diff
    - no-rpath.diff 

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 25 Nov 2012 16:05:35 +0100

swi-prolog (6.2.2-17) experimental; urgency=low

  * New patch:
    - no-rpath.diff - do not set rpath during compilation
  * Use dh-autoreconf during the package build
  * Pass --enable-shared to configure again 

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Nov 2012 18:10:07 +0100

swi-prolog (6.2.2-16) experimental; urgency=low

  * Show ulimit settings during build (for thread stack size problem
    debugging).
  * Use swipl.sh wrapper to install prolog packages

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 28 Oct 2012 20:57:30 +0100

swi-prolog (6.2.2-14) experimental; urgency=low

  * Refactor prolog package installation code in debian/rules
  * Pass DISABLE_PKGS to configure instead of --without-* (the last one looks
    broken)
  * Install package clpqr into swi-prolog-nox
  * Install package nlp into swi-prolog-nox and run checks for it
  * Install package ssl into swi-prolog-nox
    - build-depend on libssl-dev for it
  * Install package zlib into swi-prolog-nox and run checks for it
    - build-depend on zlib1g-dev
  * Install package R into swi-prolog-nox
  * Install package protobufs into swi-prolog-nox and run checks for it
  * Install package PDT into swi-prolog-nox
  * Install package utf8proc into swi-prolog-nox
  * Add -DMAXPATHLEN=1024 to CPPFLAGS on Hurd (propert fix should be
    implemented later)



=== debian/control ===
Source: swi-prolog
Section: interpreters
Priority: optional
Maintainer: Євгеній Мещеряков <eugen@debian.org>
Build-Depends:
 debhelper (>= 9~),
 libncursesw5-dev,
 libreadline-dev,
 libgmp-dev,
 libjpeg8-dev,
 libx11-dev,
 libxpm-dev,
 libxt-dev,
 x11proto-core-dev,
 unixodbc-dev,
 default-jdk [alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
 junit [alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
 libxft-dev,
 libxext-dev,
 libice-dev,
 libxinerama-dev,
 dctrl-tools,
 libarchive-dev,
 libssl-dev,
 zlib1g-dev,
# libunwind8-dev [ia64 i386 amd64 ppc64 powerpc armel armhf],
 dh-autoreconf (>= 6~),
 perl
Build-Conflicts: libunwind8-dev, libunwind7-dev [!ia64]
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
Homepage: http://www.swi-prolog.org

Package: swi-prolog
Architecture: any
Depends: ${misc:Depends}, swi-prolog-nox (= ${binary:Version}), swi-prolog-x (= ${binary:Version})
Suggests: swi-prolog-doc, prolog-el
Description: ISO/Edinburgh-style Prolog interpreter
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface

Package: swi-prolog-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp-dev, libreadline-dev, libncursesw5-dev
Breaks: swi-prolog (<< 5.8.2-1), spark (<< 2012.0.deb-5~), logol (<< 1.6.1-2~)
Suggests: swi-prolog-doc, prolog-el
Recommends: debhelper
Provides: ${swi-prolog:Depends}
Description: ISO/Edinburgh-style Prolog interpreter (without X support)
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package contains a working SWI-Prolog installation with GUI components.

Package: swi-prolog-x
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Description: User interface library for SWI-Prolog (with X support)
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 XPCE is an object-oriented symbolic programming environment for user
 interfaces. Although XPCE was designed to be language-independent, it has
 gained popularity most with Prolog.

Package: swi-prolog-java
Architecture: alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
Description: Bidirectional interface between SWI-Prolog and Java
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This library provides JPL, a bidirectional interface between SWI-Prolog and
 the Java 2 runtime.

Package: swi-prolog-odbc
Architecture: any
Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}
Description: ODBC library for SWI-Prolog
 SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
 rich set of built-in predicates. It offers a fast, robust and small
 environment which enables substantial applications to be developed with it.
 .
 SWI-Prolog additionally offers:
 .
  * A powerful module system
  * Garbage collection
  * Unicode character set handling
  * Unbounted integer and rational number arithmetic
  * Multithreading support
  * A powerful C/C++ interface
  * GNU Readline interface
 .
 This package provides a foreign language extension to ODBC, a standard for
 interfacing with database systems.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_MULTIARCH := $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

CONFFLAGS = --libdir=/usr/lib --with-world --disable-libdirversion --enable-shared

COFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS) -fPIC $(shell pkg-config --cflags ncursesw)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) $(shell dpkg-buildflags --get CFLAGS)

# FIXME implement a proper fix
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_OS),hurd)
CPPFLAGS += -DMAXPATHLEN=1024
endif

export COFLAGS CPPFLAGS LDFLAGS

# List of architectures where -java package should be built.
JAVA_ARCHS = $(shell grep-dctrl -PX swi-prolog-java -nsArchitecture debian/control)

ifeq ($(filter $(DEB_BUILD_ARCH),$(JAVA_ARCHS)),)
    DISABLE_PKGS=jpl
else
    JAVA_PACKAGES = jpl
endif

PLBASE := /usr/lib/swi-prolog/
JNIDIR := /usr/lib/$(DEB_BUILD_MULTIARCH)/jni

NOX_PACKAGES = clib cpp table sgml RDF semweb http chr clpqr nlp ssl pldoc plunit zlib R protobufs PDT utf8proc archive
X_PACKAGES = xpce
ODBC_PACKAGES = odbc

# Add here all packages that are not installed into deb packages
DISABLE_PKGS += windows
export DISABLE_PKGS

ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_OS),linux)
    NOX_PACKAGES += tipc
else
    DISABLE_PKGS += tipc
endif

# install_package prolog_pkg deb_pkg
define install_package
	mkdir -p $(CURDIR)/debian/$(2)/$(PLBASE)/library
	$(MAKE) -C packages/$(1) \
		DESTDIR=$(CURDIR)/debian/$(2) \
		PL=$(CURDIR)/src/swipl.sh \
		PLEXE=$(CURDIR)/src/swipl.sh \
		install < /dev/null

endef

# install_packages plog_pkg_list deb_pkg
define install_packages
	$(foreach pkg,$(1),$(call install_package,$(pkg),$(2)))
endef

%:
	dh $@ --with=autoreconf --parallel

override_dh_auto_configure:
	$(SHELL) -c "ulimit -a"
	$(SHELL) -c "ulimit -Ha"
	dh_auto_configure -- $(CONFFLAGS) PL="swipl" PLARCH=$(DEB_BUILD_ARCH)

override_dh_auto_build:
	$(MAKE) < /dev/null 

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/swi-prolog-nox install-lite

	mkdir -p $(CURDIR)/debian/swi-prolog-x/usr/bin

	$(call install_packages,$(NOX_PACKAGES),swi-prolog-nox)
	$(call install_packages,$(X_PACKAGES),swi-prolog-x)
	$(call install_packages,$(JAVA_PACKAGES),swi-prolog-java)
	$(call install_packages,$(ODBC_PACKAGES),swi-prolog-odbc)

	# This file is generated by swi-prolog-nox postinst (updated by triggers)
	rm debian/swi-prolog-nox/$(PLBASE)/library/INDEX.pl

	# Generate xpce's autoload index
	echo "make_library_index('$(CURDIR)/debian/swi-prolog-x/$(PLBASE)/xpce/prolog/lib/')." | $(CURDIR)/src/swipl.sh

	# Remove superfluous copies of the GPL
	rm debian/swi-prolog-x/$(PLBASE)/xpce/COPYING

	# Remove empty directories
	find debian/ -depth -type d -empty -exec rm -rfv {} \;

	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_BUILD_ARCH)/libswipl.so* $(CURDIR)/debian/swi-prolog-nox/usr/lib/
	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_BUILD_ARCH)/libswipl.a $(CURDIR)/debian/swi-prolog-nox/usr/lib/

	# Link libjpl.so from the JNI directory so java can load it without LD_LIBRARY_PATH
	mkdir -p $(CURDIR)/debian/swi-prolog-java/$(JNIDIR)
	ln -s $(PLBASE)/lib/$(DEB_BUILD_ARCH)/libjpl.so \
	      $(CURDIR)/debian/swi-prolog-java/$(JNIDIR)/

	install -m755 debian/debhelper/dh_swi_prolog debian/swi-prolog-nox/usr/bin/
	install -d debian/swi-prolog-nox/usr/share/man/man1
	pod2man debian/debhelper/dh_swi_prolog > debian/swi-prolog-nox/usr/share/man/man1/dh_swi_prolog.1

	install -d debian/swi-prolog-nox/usr/share/perl5/Debian/Debhelper/Sequence
	install -m644 debian/debhelper/swi_prolog.pm debian/swi-prolog-nox/usr/share/perl5/Debian/Debhelper/Sequence/

override_dh_install:

override_dh_gencontrol:
	debian/debhelper/dh_swi_prolog
	dh_gencontrol

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_auto_test:
	# TODO enable other tests
	$(MAKE) -C $(CURDIR)/src check
	$(MAKE) -C $(CURDIR)/packages/chr check
	# requires network connection
	# $(MAKE) -C $(CURDIR)/packages/http check
	$(MAKE) -C $(CURDIR)/packages/sgml check
	$(MAKE) -C $(CURDIR)/packages/RDF check
	$(MAKE) -C $(CURDIR)/packages/table check
	$(MAKE) -C $(CURDIR)/packages/plunit check
	$(MAKE) -C $(CURDIR)/packages/pldoc check
	$(MAKE) -C $(CURDIR)/packages/archive check
	$(MAKE) -C $(CURDIR)/packages/cpp check
	$(MAKE) -C $(CURDIR)/packages/nlp check
	$(MAKE) -C $(CURDIR)/packages/zlib check
	$(MAKE) -C $(CURDIR)/packages/protobufs check
ifneq ($(JAVA_PACKAGES),)
	$(MAKE) -C $(CURDIR)/packages/jpl check
endif

override_dh_makeshlibs: V=$(shell dpkg-parsechangelog|awk '/^Version:/ {sub("-[^-]$$", "",$$2); print $$2}')
override_dh_makeshlibs:
	# This library is not for external apps for now
	dh_makeshlibs -V"swi-prolog-nox (>= $(V)~), swi-prolog-nox (<< $(V).0~)"

.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_auto_clean override_dh_auto_install
.PHONY: override_dh_install override_dh_builddeb override_dh_auto_test override_dh_gencontrol

## swi-prolog 6.4.1

=== debian/changelog ===
swi-prolog (6.4.1-4) unstable; urgency=low

  * Don't build-depend on valgrind on armel, it does not build there anymore
    (closes: #729142)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 09 Nov 2013 20:49:18 +0100

swi-prolog (6.4.1-3) unstable; urgency=low

  * Install link to pldoc.sty to a location where latex can find it (closes:
    #719079)
  * Activate texmf-lsr trigger in swi-prolog-nox so pldoc.sty could be
    registered

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 15 Aug 2013 13:50:25 +0200

swi-prolog (6.4.1-2) unstable; urgency=low

  * Build-depend on valgrind where available
  * New patch:
    - numbers-format.diff - always use period as decimal separator when
      formatting Prolog numbers (rest of the fix for the upstream bug 113)
  * Don't override LC_NUMERIC anymore
  * Update years in debian/copyright
  * Upload to unstable

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Aug 2013 20:32:36 +0200

swi-prolog (6.4.1-1) experimental; urgency=low

  * New upstream release
  * Upload to experimental for now
  * Don't run autoreconf in packages/ticp — fixed upstream
  * Remove patches:
    - disable-java-testFetchLongList2a.diff — fixed upstream
  * New patches:
    - locales-bug.diff — fix locales handling (upstream bug 113)
  * Build-depend on libossp-uuid-dev for UUID support
  * Fix handling of 'parallel' in DEB_BUILD_OPTIONS
  * Increase swi-prolog-vm version to 1
  * Build with LC_NUMERIC set to C to work around rests of upstream bug 113
  * Run dh_swi_prolog only on swi-prolog-nox to avoid warnings about unsed
    variables

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 23 Jul 2013 23:05:18 +0200

swi-prolog (6.2.6-7) unstable; urgency=low

  * New patch:
    - disable-java-testFetchLongList2a.diff - disable test case that fils on
      IA64 because of not enough stack space

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 18 Jun 2013 23:32:02 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,9 @@
  zlib1g-dev,
 # libunwind8-dev [ia64 i386 amd64 ppc64 powerpc armel armhf],
  dh-autoreconf (>= 6~),
- perl
+ perl,
+ libossp-uuid-dev,
+ valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x]
 Build-Conflicts: libunwind8-dev, libunwind7-dev [!ia64]
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_BUILD_MULTIARCH := $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+MAKEFLAGS += -j$(NUMJOBS)
+endif
 
 CONFFLAGS = --libdir=/usr/lib --with-world --disable-libdirversion --enable-shared
 
@@ -59,7 +64,7 @@
 endef
 
 %:
-	dh $@ --with=autoreconf --parallel
+	dh $@ --with=autoreconf
 
 override_dh_auto_configure:
 	$(SHELL) -c "ulimit -a"
@@ -113,7 +118,7 @@
 override_dh_install:
 
 override_dh_gencontrol:
-	debian/debhelper/dh_swi_prolog
+	debian/debhelper/dh_swi_prolog -pswi-prolog-nox
 	dh_gencontrol
 
 override_dh_builddeb:

## swi-prolog 6.6.0

=== debian/changelog ===
swi-prolog (6.6.0-2) unstable; urgency=low

  * New patch:
    - mips-ftbfs-fix.diff - fix FTBFS on misp(el) by removing extra definition
      ALIGNOF_DOUBLE macro. Patch was taken from the upstream Git repo.

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 28 Nov 2013 22:37:49 +0100

swi-prolog (6.6.0-1) unstable; urgency=low

  * New upstream release
  * Remove patches:
    - locales-bug.diff - applied upstream
    - numbers-format.diff - applied upstream 
  * Refresh patches:
    - no-rpath.diff
  * Use new vm virtual package: swi-prolog-vm-2

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 27 Nov 2013 00:27:04 +0100

## swi-prolog 6.6.4

=== packages/xpce/man/course/Makefile ===
.SUFFIXES: .tex .dvi .doc .pl

DOCTOTEX=../../bin/doc2tex
PLTOTEX=../../bin/pl2tex
CORRECTINDEX=../../bin/correctindex
MAKEINDEX=makeindex -s ../../TeX/makeindex.sty


TEX=	doc.tex intro.tex course.tex process.tex ftp.tex

LOGO=	figs/uva.ps figs/swi.ps

all:	$(TEX) $(LOGO)
	-$(CORRECTINDEX) doc.idx
	-$(MAKEINDEX) doc
	touch doc.ind
	(TEXINPUTS=../../TeX:$$TEXINPUTS; export TEXINPUTS; pdflatex doc)

bib:	doc.aux
	(TEXINPUTS=../../TeX:$$TEXINPUTS; \
	 BIBINPUTS=$$TEXINPUTS; \
	 export TEXINPUTS BIBINPUTS; bibtex doc)

figs/uva.ps:	../../TeX/figs/uva.ps
	cp ../../TeX/figs/uva.ps figs/uva.ps

figs/swi.ps:	../../TeX/figs/swi.ps
	cp ../../TeX/figs/swi.ps figs/swi.ps

$(TEX):	$(DOCTOTEX)

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex

.pl.tex:
	$(PLTOTEX) $*.pl > $*.tex

clean:
	rm -f $(TEX) *.dvi *.toc *.aux *.idx *.ind *.[ib]lg *.log *~ figs/*~ \
	      $(LOGO)

=== packages/xpce/man/info/Makefile ===
SHELL=/bin/csh

psfiles:
	dvips -t 0 refman.dvi | gzip > ~ftp/pub/xpce/doc/refman/refman--30-0.ps.gz 
	tpr -f  ~ftp/pub/xpce/doc/refman/refman refman

clean:
	rm -f *~ refman.?? refman.???

=== packages/xpce/src/ari/Makefile ===
# ARI 		--- Arithmetic Operations

ARIOBJS=	equation.o expression.o
ARISRC=		$(ARIOBJS:.o=.c)

objects:	$(ARIOBJS)

addlib:		$(ARIOBJS)
		$(AR) $(ARFLAGS) $(LIB) $(ARIOBJS)
		@touch addlib

proto.h:	$(ARISRC)
		$(MKPROTO) $(ARISRC) | $(CLPROTO) > proto.h

clean:
		$(RM) -f *~ a.out core $(ARIOBJS) addlib

=== packages/xpce/src/men/Makefile ===
# MEN 		--- Menu (Dialog) items

MENOBJS=	button.o dialogitem.o label.o menu.o menubar.o \
		menuitem.o popup.o slider.o textitem.o
MENSRC=		$(MENOBJS:.o=.c)

objects:	$(MENOBJS)

addlib:		$(MENOBJS)
		$(AR) $(ARFLAGS) $(LIB) $(MENOBJS)
		@touch addlib

proto.h:	$(MENSRC)
		$(MKPROTO) $(MENSRC) | $(CLPROTO) > proto.h

clean:
		$(RM) -f *~ a.out core $(MENOBJS) addlib

=== packages/xpce/src/rgx/Makefile ===
# Makefile for Henry Spencer/Tcl regex library adjusted for use in XPCE

CC=gcc
COFLAGS=-Wall -g -DREG_DEBUG
CWFLAGS=
CIFLAGS=-I. -I../../linux -I.. -DHAVE_CONFIG_H -DNOPCE
CMFLAGS=
CFLAGS=$(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
AR=ar
RANLIB=ranlib
RM=rm

OBJS= 		regcompW.o regexecW.o regfree.o regerror.o
# OBJS= regcompA.o regexecA.o regcompW.o regexecW.o regfree.o regerror.o

all:		libregex.a test

libregex.a:	$(OBJS)
		rm -f $@
		$(AR) cq $@ $(OBJS)
		$(RANLIB) $@

regcompA.o:
		$(CC) $(CFLAGS) -c -o $@ regcomp.c
regcompW.o:
		$(CC) $(CFLAGS) -DREG_WIDE -c -o $@ regcomp.c
regexecA.o:
		$(CC) $(CFLAGS) -c -o $@ regexec.c
regexecW.o:
		$(CC) $(CFLAGS) -DREG_WIDE -c -o $@ regexec.c
regfree.o:
		$(CC) $(CFLAGS) -DREG_WIDE -c -o $@ regfree.c
regerror.o:
		$(CC) $(CFLAGS) -DREG_WIDE -c -o $@ regerror.c


# mark inclusion dependencies between .c files explicitly
regcompA.o: regcomp.c regc_lex.c regc_color.c regc_nfa.c regc_cvec.c regc_locale.c
regcompW.o: regcomp.c regc_lex.c regc_color.c regc_nfa.c regc_cvec.c regc_locale.c

regexecA.o: regexec.c rege_dfa.c
regexecW.o: regexec.c rege_dfa.c

test:		test.c libregex.a
		$(CC) -o $@ test.c libregex.a

clean: 
		$(RM) -f *~ $(OBJS)

=== packages/xpce/src/txt/Makefile ===
# TXT 		--- Text Representation and Manipulation Classes

TXTOBJS=	chararray.o editor.o fragment.o keybinding.o \
		regex.o str.o string.o style.o syntax.o \
		textbuffer.o textcursor.o textimage.o \
		textmargin.o undo.o
TXTSRC=		$(TXTOBJS:.o=.c)

objects:	$(TXTOBJS)

addlib:		$(TXTOBJS)
		$(AR) $(ARFLAGS) $(LIB) $(TXTOBJS)
		@touch addlib

proto.h:	$(TXTSRC)
		$(MKPROTO) $(TXTSRC) | $(CLPROTO) > proto.h

clean:
		$(RM) -f *~ a.out core $(TXTOBJS) addlib

=== packages/xpce/src/unx/Makefile ===
# UNX 		--- Unix File, Process and Network Classes

UNXOBJS=	directory.o file.o process.o socket.o stream.o
UNXSRC=		$(UNXOBJS:.o=.c)

objects:	$(UNXOBJS)

addlib:		$(UNXOBJS)
		$(AR) $(ARFLAGS) $(LIB) $(UNXOBJS)
		@touch addlib

proto.h:	$(UNXSRC)
		$(MKPROTO) $(UNXSRC) | $(CLPROTO) > proto.h

xpce-client:	client.o
		$(CC) $(COFLAGS) $(CIFLAGS) -o $@ client.o $(NETLIBS)

clean:
		$(RM) -f *~ a.out core $(UNXOBJS) addlib client.o

=== packages/xpce/man/course/slides/Makefile ===
.SUFFIXES: .tex .dvi .doc .pl

HOME=../../..
DOCTOTEX=$(HOME)/bin/doc2tex
PLTOTEX=$(HOME)/bin/pl2tex
CORRECTINDEX=$(HOME)/bin/correctindex
MAKEINDEX=makeindex -s $(HOME)/TeX/makeindex.sty


TEX=	slides.tex

all:	$(TEX)
	(TEXINPUTS=$(HOME)/TeX:$$TEXINPUTS; export TEXINPUTS; latex slides)

kads:	kads.tex
	(TEXINPUTS=$(HOME)/TeX:$$TEXINPUTS; export TEXINPUTS; latex kads)


$(TEX):	$(DOCTOTEX)

.doc.tex:
	$(DOCTOTEX) $*.doc > $*.tex

.pl.tex:
	$(PLTOTEX) $*.pl > $*.tex

clean:
	rm -f $(TEX) *.dvi *.toc *.aux *.idx *.ind *.[ib]lg *.log *~ figs/*~ \
	      $(LOGO)

=== debian/changelog ===
swi-prolog (6.6.4-2ubuntu1) trusty; urgency=medium

  * Fix linking the jni library on ppc64el.
  * Build-depend on libunwind8-dev and valgrind on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Apr 2014 12:26:12 +0200

swi-prolog (6.6.4-2) unstable; urgency=medium

  * Add more architectures with Java support (closes: #742279)
  * Use DEB_HOST_* variables instead of DEB_BUILD_* when needed (closes:
    #742354). Thanks to Matthias Klose
  * Use ln -sf to create symlinks (closes: #742355)
  * Build-depend on libunwind8 on ppc64
  * Use autotools-dev to update config.guess/config.sub (closes: #742353)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 22 Mar 2014 21:54:28 +0100

swi-prolog (6.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 21 Mar 2014 21:43:34 +0100

swi-prolog (6.6.3-1) unstable; urgency=medium

  * New upstream release
  * Removed patches (fixed upstream):
    - new-readline.diff
    - mt-crash-fix.diff

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 19 Mar 2014 23:03:32 +0100

swi-prolog (6.6.2-3) unstable; urgency=medium

  * New patch:
    - mt-crash-fix.diff — patch from upstream git to fix TFBFS on armel
  * Remove versioned dependency on libreadline-dev

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 16 Mar 2014 19:06:16 +0100

swi-prolog (6.6.2-2) unstable; urgency=medium

  * Stop building swi-prolog-java on sparc — OpenJDK is not a default JDK
    there anymore

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 07 Mar 2014 00:15:09 +0100

swi-prolog (6.6.2-1) unstable; urgency=medium

  * New upstream release
  * Removed patches:
    - test-output-fix.diff - fixed upstream
  * Build-depend on libreadline-dev (>= 6.3~)
  * New patch:
    - new-readline.diff - fix building with new readline
  * Use libunwind again

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 05 Mar 2014 23:51:17 +0100

swi-prolog (6.6.1-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental for now
  * Remove patches:
    - java-test-library-path.diff - fixed upstream
    - mips-ftbfs-fix.diff - fixed upstream 
  * Standards-Version 3.9.5 - no changes needed
  * New patch from upstream git:
    - test-output-fix.diff - fix output of test scripts on buildds

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 13 Dec 2013 22:43:34 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  libxt-dev,
  x11proto-core-dev,
  unixodbc-dev,
- default-jdk [alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
- junit [alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
+ default-jdk [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+ junit [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
  libxft-dev,
  libxext-dev,
  libice-dev,
@@ -23,13 +23,14 @@
  libarchive-dev,
  libssl-dev,
  zlib1g-dev,
-# libunwind8-dev [ia64 i386 amd64 ppc64 powerpc armel armhf],
+ libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64 ppc64el],
  dh-autoreconf (>= 6~),
  perl,
  libossp-uuid-dev,
- valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x]
-Build-Conflicts: libunwind8-dev, libunwind7-dev [!ia64]
-Standards-Version: 3.9.4
+ valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
+ autotools-dev
+Build-Conflicts: libunwind7-dev
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
 Homepage: http://www.swi-prolog.org
@@ -100,7 +101,7 @@
  gained popularity most with Prolog.
 
 Package: swi-prolog-java
-Architecture: alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
+Architecture: alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
 Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
 Description: Bidirectional interface between SWI-Prolog and Java
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_BUILD_MULTIARCH := $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -15,7 +15,7 @@
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) $(shell dpkg-buildflags --get CFLAGS)
 
 # FIXME implement a proper fix
-ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_OS),hurd)
+ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_OS),hurd)
 CPPFLAGS += -DMAXPATHLEN=1024
 endif
 
@@ -24,14 +24,14 @@
 # List of architectures where -java package should be built.
 JAVA_ARCHS = $(shell grep-dctrl -PX swi-prolog-java -nsArchitecture debian/control)
 
-ifeq ($(filter $(DEB_BUILD_ARCH),$(JAVA_ARCHS)),)
+ifeq ($(filter $(DEB_HOST_ARCH),$(JAVA_ARCHS)),)
     DISABLE_PKGS=jpl
 else
     JAVA_PACKAGES = jpl
 endif
 
 PLBASE := /usr/lib/swi-prolog/
-JNIDIR := /usr/lib/$(DEB_BUILD_MULTIARCH)/jni
+JNIDIR := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
 NOX_PACKAGES = clib cpp table sgml RDF semweb http chr clpqr nlp ssl pldoc plunit zlib R protobufs PDT utf8proc archive
 X_PACKAGES = xpce
@@ -41,7 +41,7 @@
 DISABLE_PKGS += windows
 export DISABLE_PKGS
 
-ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_OS),linux)
+ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_OS),linux)
     NOX_PACKAGES += tipc
 else
     DISABLE_PKGS += tipc
@@ -64,12 +64,12 @@
 endef
 
 %:
-	dh $@ --with=autoreconf
+	dh $@ --with=autotools_dev,autoreconf
 
 override_dh_auto_configure:
 	$(SHELL) -c "ulimit -a"
 	$(SHELL) -c "ulimit -Ha"
-	dh_auto_configure -- $(CONFFLAGS) PL="swipl" PLARCH=$(DEB_BUILD_ARCH)
+	dh_auto_configure -- $(CONFFLAGS) PL="swipl" PLARCH=$(DEB_HOST_ARCH)
 
 override_dh_auto_build:
 	$(MAKE) < /dev/null 
@@ -100,13 +100,13 @@
 	# Remove empty directories
 	find debian/ -depth -type d -empty -exec rm -rfv {} \;
 
-	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_BUILD_ARCH)/libswipl.so* $(CURDIR)/debian/swi-prolog-nox/usr/lib/
-	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_BUILD_ARCH)/libswipl.a $(CURDIR)/debian/swi-prolog-nox/usr/lib/
+	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_HOST_ARCH)/libswipl.so* $(CURDIR)/debian/swi-prolog-nox/usr/lib/
+	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_HOST_ARCH)/libswipl.a $(CURDIR)/debian/swi-prolog-nox/usr/lib/
 
 	# Link libjpl.so from the JNI directory so java can load it without LD_LIBRARY_PATH
 	mkdir -p $(CURDIR)/debian/swi-prolog-java/$(JNIDIR)
-	ln -s $(PLBASE)/lib/$(DEB_BUILD_ARCH)/libjpl.so \
-	      $(CURDIR)/debian/swi-prolog-java/$(JNIDIR)/
+	ln -sf $(PLBASE)/lib/$(DEB_HOST_ARCH)/libjpl.so \
+	       $(CURDIR)/debian/swi-prolog-java/$(JNIDIR)/
 
 	install -m755 debian/debhelper/dh_swi_prolog debian/swi-prolog-nox/usr/bin/
 	install -d debian/swi-prolog-nox/usr/share/man/man1

## swi-prolog 6.6.5

=== debian/changelog ===
swi-prolog (6.6.5-1~bpo70+1) wheezy-backports; urgency=medium

  * wheezy-backports package
  * Adjust build-dependencies for wheezy
  * Adjust debian branch name in debian/gbp.conf

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 08 May 2014 21:45:51 +0200

swi-prolog (6.6.5-1) unstable; urgency=medium

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Apr 2014 22:31:46 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  libxt-dev,
  x11proto-core-dev,
  unixodbc-dev,
- default-jdk [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
- junit [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+ default-jdk [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32],
+ junit [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32],
  libxft-dev,
  libxext-dev,
  libice-dev,
@@ -23,13 +23,12 @@
  libarchive-dev,
  libssl-dev,
  zlib1g-dev,
- libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64 ppc64el],
+ libunwind7-dev [amd64 i386 ia64],
  dh-autoreconf (>= 6~),
  perl,
  libossp-uuid-dev,
- valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
+ valgrind [amd64 armhf i386 powerpc ppc64 s390x],
  autotools-dev
-Build-Conflicts: libunwind7-dev
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
@@ -101,7 +100,7 @@
  gained popularity most with Prolog.
 
 Package: swi-prolog-java
-Architecture: alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
+Architecture: alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32
 Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
 Description: Bidirectional interface between SWI-Prolog and Java
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a

## swi-prolog 6.6.6

=== man/txt/dvi2tty/Makefile ===
# Makefile for dvi2tty and disdvi       23/01/89   M.J.E. Mol
#
# For BSD Unix use the following CFLAGS definition
# CFLAGS = -Dstrchr=index
#
# This Makefile does not work for MSDOS. Make your 
# own one, or compile by hand.
#

CFLAGS=-O
prefix=/usr/local

all:	dvi2tty

dvi2tty: dvi2tty.o dvistuff.o
	$(CC) -o dvi2tty dvi2tty.o dvistuff.o

install:
	cp dvi2tty $(prefix)/bin/dvi2tty
	chmod 755 $(prefix)/bin/dvi2tty

distclean:	clean

clean:
	rm -f *.o dvi2tty

=== debian/changelog ===
swi-prolog (6.6.6-5) unstable; urgency=medium

  * Fix soname generation for versions with Debian parts consisting of more
    than one characters after the minus sign

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 22 Oct 2014 21:34:12 +0200

swi-prolog (6.6.6-4) unstable; urgency=medium

  [ Ondřej Surý ]
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo

  [ Євгеній Мещеряков ]
  * Patch from Ondřej Surý closes: #763495
  * Standards-Version 3.9.6 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 03 Oct 2014 19:23:01 +0200

swi-prolog (6.6.6-3) unstable; urgency=medium

  [ Fernando Seiti Furusato ]
  * The arch dir for openjdk has changed for ppc64el: from ppc64le to ppc64.

  [ Євгеній Мещеряков ]
  * Apply patch from Fernando Seiti Furusato (closes: #761222)

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 17 Sep 2014 22:18:34 +0200

swi-prolog (6.6.6-2) unstable; urgency=medium

  * Fix building on ppc64el, thanks to Fernando Seiti Furusato for the patch
    (closes: #754835)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 14 Jul 2014 23:31:58 +0200

swi-prolog (6.6.6-1) unstable; urgency=medium

  * New upstream release
  * Don't override dh_builddeb anymore, xz is now a standard compressor
  * Update debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 10 Jun 2014 22:19:44 +0200

swi-prolog (6.6.5-2) unstable; urgency=medium

  * Stop suggesting obsolete swi-prolog-doc
  * Override lintian warning jar-not-in-usr-share
  * Build the -java package on mips64el
  * New  patches:
    - java-fixes.diff - fix building of -java package on ppc64 and ppc64el

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 25 May 2014 20:59:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  libncursesw5-dev,
  libreadline-dev,
  libgmp-dev,
- libjpeg8-dev,
+ libjpeg-dev,
  libx11-dev,
  libxpm-dev,
  libxt-dev,
  x11proto-core-dev,
  unixodbc-dev,
- default-jdk [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32],
- junit [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32],
+ default-jdk [alpha amd64 arm64 armel armhf i386 lpia mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+ junit       [alpha amd64 arm64 armel armhf i386 lpia mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
  libxft-dev,
  libxext-dev,
  libice-dev,
@@ -23,13 +23,14 @@
  libarchive-dev,
  libssl-dev,
  zlib1g-dev,
- libunwind7-dev [amd64 i386 ia64],
+ libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
  dh-autoreconf (>= 6~),
  perl,
  libossp-uuid-dev,
- valgrind [amd64 armhf i386 powerpc ppc64 s390x],
+ valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
  autotools-dev
-Standards-Version: 3.9.5
+Build-Conflicts: libunwind7-dev
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
 Homepage: http://www.swi-prolog.org
@@ -37,7 +38,7 @@
 Package: swi-prolog
 Architecture: any
 Depends: ${misc:Depends}, swi-prolog-nox (= ${binary:Version}), swi-prolog-x (= ${binary:Version})
-Suggests: swi-prolog-doc, prolog-el
+Suggests: prolog-el
 Description: ISO/Edinburgh-style Prolog interpreter
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
@@ -57,7 +58,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp-dev, libreadline-dev, libncursesw5-dev
 Breaks: swi-prolog (<< 5.8.2-1), spark (<< 2012.0.deb-5~), logol (<< 1.6.1-2~)
-Suggests: swi-prolog-doc, prolog-el
+Suggests: prolog-el
 Recommends: debhelper
 Provides: ${swi-prolog:Depends}
 Description: ISO/Edinburgh-style Prolog interpreter (without X support)
@@ -100,7 +101,7 @@
  gained popularity most with Prolog.
 
 Package: swi-prolog-java
-Architecture: alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32
+Architecture: alpha amd64 arm64 armel armhf i386 lpia mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
 Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
 Description: Bidirectional interface between SWI-Prolog and Java
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a

=== debian/rules ===
--- 
+++ 
@@ -121,9 +121,6 @@
 	debian/debhelper/dh_swi_prolog -pswi-prolog-nox
 	dh_gencontrol
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 override_dh_auto_test:
 	# TODO enable other tests
 	$(MAKE) -C $(CURDIR)/src check
@@ -144,10 +141,10 @@
 	$(MAKE) -C $(CURDIR)/packages/jpl check
 endif
 
-override_dh_makeshlibs: V=$(shell dpkg-parsechangelog|awk '/^Version:/ {sub("-[^-]$$", "",$$2); print $$2}')
+override_dh_makeshlibs: V=$(shell dpkg-parsechangelog|awk '/^Version:/ {sub("-[^-]*$$", "",$$2); print $$2}')
 override_dh_makeshlibs:
 	# This library is not for external apps for now
 	dh_makeshlibs -V"swi-prolog-nox (>= $(V)~), swi-prolog-nox (<< $(V).0~)"
 
 .PHONY: override_dh_auto_configure override_dh_auto_build override_dh_auto_clean override_dh_auto_install
-.PHONY: override_dh_install override_dh_builddeb override_dh_auto_test override_dh_gencontrol
+.PHONY: override_dh_install override_dh_auto_test override_dh_gencontrol

## swi-prolog 7.2.0

=== debian/changelog ===
swi-prolog (7.2.0-3) unstable; urgency=medium

  * Use ppc64le subdirectory for jre libraries on ppc64el, even if online
    file list says otherwise... Hopefully closes: #805123

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Dec 2015 04:00:32 +0100

swi-prolog (7.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * Set Java target to 1.5

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 28 May 2015 21:35:00 +0200

swi-prolog (7.2.0-1) experimental; urgency=medium

  * New upstream release (closes: #743552)
  * debian/watch - archive names now start with swipl-
  * Increase version of swi-prolog-vm pseudopackage (3)
  * Don't install package R into swi-prolog-nox - removed upstream
  * Install new package pengines into swi-prolog-nox
  * Install new package cql into swi-prolog-odbc
  * Refresh patch java-fixes.diff
  * Don't attempt to install nonexisting packages/xpce/README-4.8
  * Don't attempt to install nonexisting packages/xpce/README.sicstus
  * debian/gbp.conf - remove git- prefix from section names
  * Upload to experimental for now

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 26 May 2015 00:01:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 
 export COFLAGS CPPFLAGS LDFLAGS
 
+JAVACFLAGS = -source 1.5 -target 1.5
+export JAVACFLAGS
+
 # List of architectures where -java package should be built.
 JAVA_ARCHS = $(shell grep-dctrl -PX swi-prolog-java -nsArchitecture debian/control)
 
@@ -33,9 +36,9 @@
 PLBASE := /usr/lib/swi-prolog/
 JNIDIR := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
-NOX_PACKAGES = clib cpp table sgml RDF semweb http chr clpqr nlp ssl pldoc plunit zlib R protobufs PDT utf8proc archive
+NOX_PACKAGES = clib cpp table sgml RDF semweb http chr clpqr nlp ssl pengines pldoc plunit zlib protobufs PDT utf8proc archive
 X_PACKAGES = xpce
-ODBC_PACKAGES = odbc
+ODBC_PACKAGES = odbc cql
 
 # Add here all packages that are not installed into deb packages
 DISABLE_PKGS += windows

=== debian/watch ===
version=3
http://www.swi-prolog.org/download/stable /download/stable/src/swipl-(.*)\.tar\.gz
